Skip to content
Pile
Esc
navigateopen⌘Jpreview

Get support customer

GET/workspaces/{organizationId}/support/customers/{customerId}
Path parameters
organizationIdstringrequired
customerIdstringrequired
Responses
200Customer
customerobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestringrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/customers/string"
Response
{
  "customer": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "externalId": "string",
    "externalSource": "string",
    "email": "string",
    "fullName": "string",
    "phone": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "companies": [
      {
        "id": "string",
        "customerId": "string",
        "companyId": "string",
        "name": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ],
    "identities": [
      {
        "id": "string",
        "customerId": "string",
        "type": "email",
        "subType": "string",
        "value": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ]
  }
}